MongoCollection::find
MongoCollection::__get
MongoCollection
PHP Manual

# MongoCollection::findOne

(PECL mongo >=0.9.0)

MongoCollection::findOne — Querys this collection, returning a single element

### Description

public array MongoCollection::findOne ([ array `$query` = array() [, array `$fields` = array() ]] )

### Parameters

`query`

  The fields for which to search.

`fields`

  Fields of the results to return.

### Return Values

Returns record matching the search or `NULL`.

### Errors/Exceptions

Throws MongoConnectionException if it cannot reach the database.

### Examples

Example #1 MongoCollection::findOne document by its id.

This example demonstrates how to find a single document in a collection by its id.

`<?php
$articles = $mongo->my_db->articles;
$article = $articles->findOne(array('_id' => new MongoId('47cc67093475061e3d9536d2')));
?>`

Example #2 MongoCollection::findOne document by some condition.

This example demonstrates how to find a single document in a collection by some condition and limiting the returned fields.

`<?php
$users = $mongo->my_db->users;
$user = $users->findOne(array('username' => 'jwage'), array('password'));
print_r($user);
?>`

The above example will output something similar to:

    Array
    (
        [_id] => MongoId Object
            (
            )

        [password] => test
    )

Notice how even though the document does have a username field, we limited the results to only contain the password field.

MongoCollection::find
MongoCollection::__get
MongoCollection
PHP Manual